# SNESAppendOptionsPrefix

Appends to the prefix used for searching for all SNES options in the database.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode PETSCSNES_DLLEXPORT SNESAppendOptionsPrefix(SNES snes,const char prefix[])

Collective on SNES

### Input Parameters

| snes | - the SNES context
| prefix | - the prefix to prepend to all option names

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

### Keywords

SNES, append, options, prefix, database

### See Also

SNESGetOptionsPrefix()

Level:advanced
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages